Managed by the FaxBack Support Team

Software Requirements for FAXability 3.0


FAXability 3.0 for SRS Users - Released 09/30/2013:
Note: We are phasing out support for FAXability 2.3 starting with NET SatisFAXtion version 8.6. SRS users should upgrade to NET SatisFAXtion 9.0 and use FAXability 3.0. Broadcast client users should continue to use FAXability 2.3 until Broadcast is added to 3.x

Prerequisite Software:
The following software must be installed prior to installation of FAXability.
  • NET SatisFAXtion 9.0 or newer

Pre-installation Requirements:
  • NET SatisFAXtion Fax Server Service must be STOPPED during installation

Web Client Requirements:
The web client can be used on any PC and/or MAC computers, as well as Apple, Windows and Android mobile devices through use of a web browser client:
  • Internet Explorer 8.0+
  • Chrome 3.0+
  • FireFox/Mozilla 3.1+
  • Oprah 10.5+
  • Safari 4.0+

Print Driver Requirements:
The print driver can only be installed on 64/32 bit Microsoft Windows operating systems:
  • Windows 8 or 8.1
  • Windows 7
  • Windows Server 2012
  • Windows Server 2008
  • Windows Server 2003
  • Windows XP Pro (with SP2 and SP3)

The FAXability Print Driver for Windows additionally requires:
  • .NET Framework 3.5 or higher
  • Windows Installer 4.5 or higher

Software Requirement History

Version 9.0: New FAXability 3.0 released for SRS users
Version 8.7: End-of-life for most users, except SRS and Broadcast users. (v2.3)
Version 8.6: End-of-life for most users, except SRS and Broadcast users.
Version 8.5: No compatibility changes.
Version 8.1: Added IE7 support.
Version 8.0: No compatibility changes.
Version 7.5: No compatibility changes.
Version 7.0: No compatibility changes.
Version 6.5: Initial version.

Copyright © FaxBack, Inc.